@font-face {
  font-family: "Nunito";
  src: url("../fonts/Nunito-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

body {
  margin: 0;
  padding: 0;
  user-select: none;
  font-family: "Nunito", sans-serif;
  background-color: #fff5e1;
}

h1 {
  text-align: center;
  font-size: 7vw;
  padding: 0 2vw 0 2vw;
}

#main-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 7vw 0 7vw 0;
}

#contact-wrapper {
  height: max-content;
  width: 90vw;
  background-color: #a9d6e5;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 60;
  box-shadow:
    0 8px 16px rgba(0, 0, 0, 0.25),
    0 4px 8px rgba(0, 0, 0, 0.15);
  padding: 3vw 0 0 0;
}

#contact-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: center;
  text-align: center;
  gap: 3vw;
  font-size: 6vw;
  width: 85%;
}

#contact-form input {
  font-size: 6vw;
  width: 100%;
}

#contact-form textarea {
  height: 40vw;
  font-size: 6vw;
  width: 100%;
  resize: none;
}

#contact-submit {
  background-color: #f4a261;
  color: white;
  margin-top: 5vw;
  width: 70% !important;
}

#contact-submit:hover {
  background-color: #ee7a1c;
}

#errorText {
  font-size: 5vw;
  font-weight: bold;
}

.privacy-notice {
  font-size: 5vw;
}

@media (min-width: 768px) {
  #contact-wrapper {
    width: 80vw;
    display: flex;
  }

  h1 {
    font-size: 5vw;
  }

  #contact-form {
    font-size: 4vw;
  }

  #contact-form input {
    font-size: 4vw;
  }

  #contact-form textarea {
    font-size: 4vw;
  }

  #errorText {
    font-size: 3vw;
  }

  .privacy-notice {
    font-size: 3vw;
  }
}

@media (min-width: 1024px) {
  h1 {
    font-size: 1.6vw;
  }

  #main-container {
    padding: 1vw 0 3vw 0;
  }

  #contact-wrapper {
    height: 30vw;
    width: 30vw;
    padding: 1vw 0 0 0;
  }

  #contact-form {
    gap: 1vw;
    font-size: 1.3vw;
  }

  #contact-form input {
    font-size: 1.3vw;
  }

  #contact-form textarea {
    height: 10vw;
    font-size: 1.3vw;
  }

  #contact-submit {
    margin: 0;
    width: 40% !important;
  }

  #errorText {
    font-size: 0.8vw;
    margin: 0;
    font-weight: bold;
  }

  .privacy-notice {
    font-size: 0.8vw;
  }
}
